Read monthly cash flow profile
curl --request GET \
--url https://int-data.moneydesktop.com/monthly_cash_flow_profile \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/monthly_cash_flow_profile"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/monthly_cash_flow_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"monthly_cash_flow_profile": {
"guid": "MCF-4e431124-4a29-abf9-f059-ab232ac14dbf",
"user_guid": "USR-6c83f63c-efcc-0189-3f14-100f0bad378a",
"budgeted_income": 1200.12,
"budgeted_expenses": 1000,
"goals_contribution": 150,
"estimated_goals_contribution": null,
"uses_estimated_goals_contribution": false
}
}Monthly Cash Flow Profiles
Read monthly cash flow profile
GET
/
monthly_cash_flow_profile
Read monthly cash flow profile
Read the monthly cash flow profile.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Response
200 - application/vnd.mx.nexus.v1+json
OK
Hide child attributes
Hide child attributes
Unique identifier for the monthly cash flow profile. Defined by MX.
Example:
"MCF-4e431124-4a29-abf9-f059-ab232ac14dbf"
Unique identifier for the user the monthly cash flow profile is attached to. Defined by MX.
Example:
"USR-6c83f63c-efcc-0189-3f14-100f0bad378a"
The amount of the budgeted income for the user.
Example:
1200.12
The amount of the budgeted expenses for the user.
Example:
1000
The monthly dollar amount allocated for goals.
Example:
150
The estimated monthly dollar amount allocated for goals calculated from income and budgets.
Example:
null
If the user uses estimated goals contribution, this field will be true. Otherwise, this field will be false.
Example:
false
⌘I

